<p class="title">
	Assessment Maintenance > Edit an Expected Test > <i>Edit</i>
</p>

<form name="editForm" id="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="card" *ngIf="expectedTest">
    <div class="card-header title">Edit an Expected Test</div>
    <div class="card-block">
        <div class="form-group row">
            <label class="col-sm-2 form-control-label heading" jhiTranslate="pcidssApp.expectedTest.testName" for="field_testName">Test Name</label>
            <div class="col-sm-10">
            	<textarea class="form-control" name="testName" id="testName" [(ngModel)]="expectedTest.testName" required minlength="5" maxlength="100" pattern="^[a-zA-Z0-9,.:!'\s()-?]*$" #testName="ngModel">
                </textarea>
                <div *ngIf="testName.errors && (testName.dirty || testName.touched)" class="alert alertError">
            	<div [hidden]="!testName.errors.required">
            		This field is required
            	</div>
            	<div [hidden]="!testName.errors.maxlength">Expected test cannot be at more than 255 characters long</div>
            	<div [hidden]="!testName.errors.pattern">Invalid character</div>
            </div>
            </div>
        </div>
    </div>
    <div class="row-md action-div">
			<button type="submit" (click)="previousState()" class="btn action-btn-with-text cancel">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="button" [disabled]="!expectedTest.isExpectedTestExist"
				(click)="deleteExpectedTest(expectedTest)" class="btn btn-danger action-btn-with-text">
				<span class="fa fa-trash"></span>&nbsp;<span> Delete</span>
			</button>
			<button type="submit" [disabled]="editForm.form.invalid" class="btn action-btn-with-text edit">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
		</div>
		</div>
    
</form> 
